org.eclipse.emf.cdo.spi.common.model

## Interface InternalCDOPackageInfo

- All Superinterfaces:
    Adapter, Adapter.Internal, CDOPackageInfo, java.lang.Comparable<CDOPackageInfo>, EPackage.Descriptor

      public interface InternalCDOPackageInfo
      extends CDOPackageInfo, Adapter.Internal

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalCDOPackageInfo` | `copy()`
    `InternalCDOPackageUnit` | `getPackageUnit()` Returns the package unit containing this package info.
    `void` | `read(CDODataInput in)`
    `void` | `setEPackage(EPackage ePackage)`
    `void` | `setPackageUnit(InternalCDOPackageUnit packageUnit)`
    `void` | `setPackageURI(java.lang.String packageURI)`
    `void` | `setParentURI(java.lang.String parentURI)`
    `void` | `write(CDODataOutput out)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.model.CDOPackageInfo

      `getEPackage, getPackageURI, getParentURI, isCorePackage, isResourcePackage, isSystemPackage, isTypePackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage.Descriptor

      `getEFactory, getEPackage`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Adapter.Internal

      `unsetTarget`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

      `getTarget, isAdapterForType, notifyChanged, setTarget`

- - ### Method Detail

    - #### getPackageUnit

          InternalCDOPackageUnit getPackageUnit()

      Description copied from interface: `CDOPackageInfo`
      Returns the package unit containing this package info.
      Specified by:
        `getPackageUnit` in interface `CDOPackageInfo`

    - #### setPackageUnit

          void setPackageUnit(InternalCDOPackageUnit packageUnit)

    - #### setPackageURI

          void setPackageURI(java.lang.String packageURI)

    - #### setParentURI

          void setParentURI(java.lang.String parentURI)

    - #### setEPackage

          void setEPackage(EPackage ePackage)

      Since:
        4.2

    - #### write

          void write(CDODataOutput out)
              throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### read

          void read(CDODataInput in)
             throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### copy

          InternalCDOPackageInfo copy()

      Since:
        4.4

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html